package com.zjrs.ggfw.rlzysc.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.ggfw.rlzysc.blo.GxygBLO;
import com.zjrs.ggfw.rlzysc.bpo.GxygBPO;
import com.zjrs.ggfw.rlzysc.dto.GxygDTO;
import com.zjrs.ggfw.rlzysc.dto.GxygQueryDTO;
import com.zjrs.ggfw.rlzysc.po.RsRlzyGxygPO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;

@Service
public class GxygBPOImpl extends BPOImpl implements GxygBPO {

    @Resource
    private GxygBLO gxygBLO;

    @Override
    public PageResult queryGxygList(GxygQueryDTO dto, Integer pagenum, Integer pagesize) {
        return gxygBLO.queryGxygList(dto, pagenum, pagesize);
    }

    @Override
    public RsRlzyGxygPO queryGxyg(GxygDTO dto) {
        return gxygBLO.queryGxyg(dto);
    }

    @Override
    public String saveOrUpdateGxyg(GxygDTO dto) {
        return gxygBLO.saveOrUpdateGxyg(dto);
    }

    @Override
    public void delete(GxygDTO dto) {
        gxygBLO.delete(dto);
    }

    @Override
    public void submit(GxygDTO dto) {
        gxygBLO.submit(dto);
    }

    @Override
    public void release(GxygDTO dto) {
        gxygBLO.release(dto);
    }

    @Override
    public String status() {
        return gxygBLO.status();
    }
}

